Get a session

Get details about a specific browser session, including the browser address for cdp connection.

Path parameters

browser_session_idstringRequired

The ID of the browser session. browser_session_id starts with pbs_

Headers

x-api-keystring or nullOptional
Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Response

Successfully retrieved browser session details
browser_session_idstring

Unique identifier for the browser session. browser_session_id starts with pbs_.

organization_idstring
ID of the organization that owns this session
created_atstringformat: "date-time"

Timestamp when the session was created (the timestamp for the initial request)

modified_atstringformat: "date-time"
Timestamp when the session was last modified
runnable_typestring or null

Type of the current runnable associated with this session (workflow, task etc)

runnable_idstring or null
ID of the current runnable
timeoutinteger or null
Timeout in minutes for the session. Timeout is applied after the session is started. Defaults to 60 minutes.
browser_addressstring or null
Url for connecting to the browser
app_urlstring or null
Url for the browser session page
vnc_streaming_supportedboolean or nullDefaults to false
Whether the browser session supports VNC streaming
download_pathstring or null
The path where the browser session downloads files
downloaded_fileslist of objects or null
The list of files downloaded by the browser session
recordingslist of objects or null
The list of video recordings from the browser session
started_atstring or nullformat: "date-time"
Timestamp when the session was started
completed_atstring or nullformat: "date-time"
Timestamp when the session was completed
deleted_atstring or nullformat: "date-time"
Timestamp when the session was deleted, if applicable

Errors